com.mapinfo.midev.style

## Class ILineStyle.DrawMode

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.ILineStyle.DrawMode

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  ILineStyle

    public static final class ILineStyle.DrawMode
    extends Enum

Represents how an `ILineStyle` is to be drawn.

See Also:
  Serialized Form

### Field Summary

Fields
`static ILineStyle.DrawMode` `DEFAULT` The default drawing mode.
`static ILineStyle.DrawMode` `INTERLEAVE` Drawing mode that represents MapInfo Professional's Interleaved drawing mode.

### Method Summary

All Methods Static Methods Concrete Methods
`static ILineStyle.DrawMode` `valueOf(String name)`
`static ILineStyle.DrawMode[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final ILineStyle.DrawMode DEFAULT

The default drawing mode. The geometry that uses an `ILineStyle` will be drawn with multiple passes.

#### INTERLEAVE

    public static final ILineStyle.DrawMode INTERLEAVE

Drawing mode that represents MapInfo Professional's Interleaved drawing mode.

### Method Detail

#### values

    public static ILineStyle.DrawMode[] values()

#### valueOf

    public static ILineStyle.DrawMode valueOf(String name)